Get Routes

  • GET
  • /workspaces
  • /:workspace
  • /distributions
  • /:distribution_id
  • /routes
  • /:route_id

Get a specific route by ID

Request

REQUIRED SCOPES
DISTRIBUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

distribution_idrequiredstring
The ID of the distribution

Example: "nZrnl40Y"

route_idrequiredinteger
The ID of the route
GET PARAMETERS
project_namestring
Project name to filter distributions

Example: "my-project"

environment_idstring
Environment ID to filter distributions

Example: "3a4KbBQl"

Response

RESPONSE BODY
typestring enum
The type of the route
Allowed enum:
PROXY,
REDIRECT,
CLOAKING,
PROXY_NO_CACHE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the route
subdomainstring
The subdomain of the route
domainstring
The domain of the route
pathstring
The path of the route
zone_typestring enum
The type of DNS zone for custom domain routing
Allowed enum:
ROUTING,
CLAIMABLE,
USER,
CLAIMED,
NS_POINTED,
CNAME_POINTED
targetsobject
The targets of the route

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/distributions/:distribution_id/routes/:route_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/distributions/gNYmaWYw/routes/dybEM2bg?project_name=my-project", "html_url": "https://app.buddy.works/my-workspace/my-project/routing/gNYmaWYw/route/dybEM2bg", "id": "dybEM2bg", "type": "PROXY", "subdomain": "sandbox", "domain": "buddy.works", "path": "", "targets": { "Default": { "type": "SANDBOX", "sandbox": { "id": "ynjuqe2kov258", "endpoint": "www" } } } }
STATUS
200 OK